<html>
  <head>
    <title>Small VanillaJS Vue.js App</title>
  </head>
  <style>
  [v-cloak] { display: none }
  </style>
<body>
  <!-- 1. add an element to host your vue.js app here -->
  <!-- 2. add an address from { id, road, complement, zipCode, city, country, state -->
  <!-- 3. add another address to -->
  <!-- 4. add conditional fields -->
  <!-- 5. add a form to edit the address -->
  <!-- 6. allow dynamic adding / update / delete -->
  <!-- 7. maybe refactor somewhere ?! -->
  <div id="app">
    <div v-cloak>
      <strong>Address From</strong>
      <br/>
      Road : {{ from.road }}<br/>
      Zip Code : {{ from.zipCode }}<br/>
      City : {{ from.city }}<br/>
    </div>
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script type="text/javascript">
    var data = {
      from: {
        road: '52 rue Jacques Babinet',
        zipCode: '31000',
        city: 'Toulouse'
      }
    }
    var app = new Vue({
      el: '#app',
      data: data,
      beforeCreate: function() {
        console.log(this.from)
      },
      created() {
        console.log('Vue created ! ', this.from);
        this.from.road = 'pouet';
      }
    })
  </script>
</body>

</html>
